FreePBX | Register | Issues | Wiki | Portal | Support

EPM Not an option to install

freepbx
Tags: #<Tag:0x00007fcd22b92980>

(Btech) #1

I recently did a large upgrade process from FreePBX 2.11 to FreePBX 14.0.5.4

Everything seemed fine except I lost my Endpoint Manager. To try to resolve the problem, I re-purchased EPM but it still showed that updates were expired so just to expedite fixing it I purchased the updates. So long story short: Endpoint shows up in the activation area.

I go to download and install endpoint and get the following:

[root@ssn ~]# fwconsole ma downloadinstall endpoint
No repos specified, using: [commercial,standard,extended,unsupported] from last GUI settings

Downloading module ‘endpoint’
The following error(s) occured:

  • Retrieved Module XML Was Empty

When I list the modules, endpoint does not show up:

[root@ssn ~]# fwconsole ma list |grep -i endpoint
[root@ssn ~]#

When I do this I get the following:

[root@ssn ~]# fwconsole ma listonline |grep -i endpoint
| endpointman | | Not Installed (Available online: 14.0.2.1) | GPLv3+ |

I’ve tried:
mysqlcheck --repair --all-databases

Any ideas as to what could cause the module not to show?


(Itzik) #2

That is probably what is causing the issues here. as tony explained, there was no need to purchase it again.

I would say you should contact support since this is a commercial module.

That’s the OSS version.


(Btech) #3

Is there a way to contact support that does not cost $400?

In my other post, the updates showed expired. I have purchased another license to it no longer shows expired.


(Lorne Gaetz) #4

Neither “Customer Service & Billing” tickets, nor “FreePBX Commercial Modules” tickets require a support balance to open.